package com.qmth.qrzk.repository.common.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import com.qmth.qrzk.repository.service.query.PaperSimilarityQueryParams;
import com.qmth.qrzk.repository.user.model.SimilarPaper;
import com.qmth.qrzk.repository.user.model.SimilarPaperQuestion;

@Component("paperSimilarityMapper")
public interface PaperSimilarityMapper extends CommonMapper{

	public List<SimilarPaper> queryPaperSimilarity(PaperSimilarityQueryParams params);
	
	public int queryPaperSimilarityCount(PaperSimilarityQueryParams params);
	
	public int addPaperSimilarity(@Param("list")List<SimilarPaper> list); 
	
	public int addPaperQuestionSimilarity(@Param("list")List<SimilarPaperQuestion> list); 
	
	public int delAllPaperSimilarity();
	
	public int delAllPaperQuestionSimilarity();
	
}
